com.rscja.deviceapi.interfaces

## Interface IRFIDWithISO15693

- All Superinterfaces:
    IRFIDBase
  All Known Implementing Classes:
    RFIDWithISO15693, RFIDWithISO15693_mtk, RFIDWithISO15693_qcom

      public interface IRFIDWithISO15693
      extends IRFIDBase

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `genericFunction_ex(char command, char IcMfg, char[] databuf, int datalen)`
    `char[]` | `genericFunction(char command, char[] databuf, char datalen)`
    `ISO15693Entity` | `inventory()` 读卡 read card
    `boolean` | `lockAFI()` 锁定AFI lock AFI
    `boolean` | `lockDSFID()` 锁定DSFID lock DSFID
    `ISO15693Entity` | `read(int block)` 读取块数据 read block data
    `ISO15693Entity` | `read(int startBlock, int Blocklen)` 读取块数据 block data
    `java.lang.String` | `read(ISO15693Entity entity, int block)`
    `boolean` | `write(int startBlock, int Blocklen, java.lang.String hexData)` 写卡 card writing
    `boolean` | `write(int block, java.lang.String hexData)` 写卡 card writing
    `boolean` | `write(ISO15693Entity entity, int block, java.lang.String hexData)`
    `boolean` | `writeAFI(int iAFI)` 写入AFI Write AFi
    `boolean` | `writeDSFID(int iDSFID)` 写入DSFID Write DSFID

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDBase

      `free, getVersion, init, init, isPowerOn, rfidUpgrade`

- - ### Method Detail

    - #### inventory

          ISO15693Entity inventory()

      读卡
      read card
      Returns:
        返回ISO15693Entity实体，寻卡失败返回null
        return ISO15693Entity body, card searching failed return null

    - #### read

          ISO15693Entity read(int block)
                       throws RFIDReadFailureException

      读取块数据
      read block data
      Parameters:
        `block` - 块区
        block
      Returns:
        返回ISO15693Entity实体，寻卡失败返回null
        return ISO1593Entity body, card searching failure return null
      Throws:
        `RFIDReadFailureException` - 读卡失败异常
        card reading err

    - #### read

          java.lang.String read(ISO15693Entity entity,
                                int block)
                         throws RFIDReadFailureException

      Throws:
        `RFIDReadFailureException`

    - #### read

          ISO15693Entity read(int startBlock,
                              int Blocklen)
                       throws RFIDReadFailureException

      读取块数据
      block data
      Parameters:
        `Blocklen` - 块区
        block
      Returns:
        返回ISO15693Entity实体，寻卡失败返回null
        return ISO15693Entity body, card searching failure return null
      Throws:
        `RFIDReadFailureException` - 读卡失败异常
        Card reading err

    - #### write

          boolean write(int block,
                        java.lang.String hexData)
                 throws RFIDNotFoundException

      写卡
      card writing
      Parameters:
        `block` - 块区
        block
        `hexData` - 十六进制数据
        hexdecimal data
      Returns:
        true成功，false失败
        true success, false failure
      Throws:
        `RFIDNotFoundException` - 寻卡失败异常
        card searching err

    - #### write

          boolean write(ISO15693Entity entity,
                        int block,
                        java.lang.String hexData)
                 throws RFIDNotFoundException

      Throws:
        `RFIDNotFoundException`

    - #### write

          boolean write(int startBlock,
                        int Blocklen,
                        java.lang.String hexData)
                 throws RFIDNotFoundException

      写卡
      card writing
      Parameters:
        `startBlock` - 块区
        block
        `hexData` - 十六进制数据
        hexdecimal data
      Returns:
        true成功，false失败
        true success, false failed
      Throws:
        `RFIDNotFoundException` - 寻卡失败异常
        card searching err

    - #### writeAFI

          boolean writeAFI(int iAFI)
                    throws RFIDNotFoundException

      写入AFI
      Write AFi
      Parameters:
        `iAFI` - AFI值
        AFI value
      Returns:
        true成功，false失败
        true success, false failed
      Throws:
        `RFIDNotFoundException` - 寻卡失败异常
        card searching err

    - #### lockAFI

          boolean lockAFI()
                   throws RFIDNotFoundException

      锁定AFI
      lock AFI
      Returns:
        true成功，false失败
        true success, false failed
      Throws:
        `RFIDNotFoundException`

    - #### writeDSFID

          boolean writeDSFID(int iDSFID)
                      throws RFIDNotFoundException

      写入DSFID
      Write DSFID
      Parameters:
        `iDSFID` - DSFID值
        DSFID value
      Returns:
        true成功，false失败
        true success, false failed
      Throws:
        `RFIDNotFoundException` - 寻卡失败异常
        card searching err

    - #### lockDSFID

          boolean lockDSFID()
                     throws RFIDNotFoundException

      锁定DSFID
      lock DSFID
      Returns:
        true成功，false失败
        true success, false failed
      Throws:
        `RFIDNotFoundException` - 寻卡失败异常
        card searching err

    - #### genericFunction

          char[] genericFunction(char command,
                                 char[] databuf,
                                 char datalen)

      Parameters:
        `command` - 命令
        command
        `databuf` - 数据
        data
        `datalen` - 数据长度
        data length
      Returns:
        索引1表示状态，非零 失败， 0x00 成功，数据 64字节
        index 1 means status, NZ failed, 0x00 success, data 64 byte

    - #### genericFunction_ex

          char[] genericFunction_ex(char command,
                                    char IcMfg,
                                    char[] databuf,
                                    int datalen)

      Parameters:
        `command` - 命令
        command
        `IcMfg` - 厂商信息
        `databuf` - 数据
        data
        `datalen` - 数据长度
        data length
      Returns:
        索引1表示状态，非零 失败， 0x00 成功，数据 64字节
        index 1 means status, NZ failed, 0x00 success, data 64 byte